#!/usr/bin/env python3
"""
Static CLI definitions for Starship Agentic.
This file contains code that does not change dynamically.
"""

import click
from rich.console import Console
from rich.panel import Panel
from rich.text import Text

console = Console()

def enhance_group_help(group_obj, group_name):
    """
    Enhance a command group with custom help formatting.
    Replace this stub with your actual enhancement implementation.
    """
    # Example stub: simply return the group object unchanged.
    return group_obj

def display_welcome():
    """Display welcome message with ASCII art."""
    welcome_text = """
    ███████╗████████╗ █████╗ ██████╗ ███████╗██╗  ██╗██╗██████╗ 
    ██╔════╝╚══██╔══╝██╔══██╗██╔══██╗██╔════╝██║  ██║██║██╔══██╗
    ███████╗   ██║   ███████║██████╔╝███████╗███████║██║██████╔╝
    ╚════██║   ██║   ██╔══██║██╔══██╗╚════██║██╔══██║██║██╔═══╝ 
    ███████║   ██║   ██║  ██║██║  ██║███████║██║  ██║██║██║     
    ╚══════╝   ╚═╝   ╚═╝  ╚═╝╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝╚═╝╚═╝     
    
     █████╗  ██████╗ ███████╗███╗   ██╗████████╗██╗ ██████╗
    ██╔══██╗██╔════╝ ██╔════╝████╗  ██║╚══██╔══╝██║██╔════╝
    ███████║██║  ███╗█████╗  ██╔██╗ ██║   ██║   ██║██║     
    ██╔══██║██║   ██║██╔══╝  ██║╚██╗██║   ██║   ██║██║     
    ██║  ██║╚██████╔╝███████╗██║ ╚████║   ██║   ██║╚██████╗
    ╚═╝  ╚═╝ ╚═════╝ ╚══════╝╚═╝  ╚═══╝   ╚═╝   ╚═╝ ╚═════╝
    """
    
    console.print(Panel(Text(welcome_text, style="bold blue")))
    console.print("Welcome to Starship Agentic - AI-assisted software development with a Star Trek-inspired interface.")


main = click.Group()

# Import the auto-generated dynamic CLI code.
from . import cli_generated
